> For the complete documentation index, see [llms.txt](https://www.aevo.xyz/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.aevo.xyz/docs/api-reference/urls/public-api/getinstrumentinstrumentname.md).

# GET /instrument/{instrument\_name}

Returns the instrument information for the given instrument.

`GET https://api.aevo.xyz/instrument/{instrument_name}`

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/instrument/{instrument_name} \
     --header 'accept: application/json'
```

## Responses

**`200`** — Instrument information.

| Field                         | Type   | Required | Description                                                                                |
| ----------------------------- | ------ | -------- | ------------------------------------------------------------------------------------------ |
| `asset`                       | string | Yes      | Name of underlying asset. Example: `ETH`                                                   |
| `instrument_id`               | string | Yes      | Instrument ID number. Example: `12`                                                        |
| `instrument_name`             | string | Yes      | Instrument name. Example: `ETH-30JUN23-1600-C`                                             |
| `instrument_type`             | string | Yes      | Type of instrument. Example: `OPTION`                                                      |
| `mark_price`                  | string | Yes      | Mark price of the instrument. Example: `12.23`                                             |
| `index_price`                 | string | Yes      | Current index price of the asset. Example: `12.23`                                         |
| `forward_price`               | string | Yes      | Current forward price of the asset. Example: `12.23`                                       |
| `initial_margin_fraction`     | string | Yes      | Initial margin fraction/rate for the instrument (e.g., 0.1 means 10%). Example: `0.1`      |
| `maintenance_margin_fraction` | string | Yes      | Maintenance margin fraction/rate for the instrument (e.g., 0.05 means 5%). Example: `0.05` |
| `best_bid`                    | object | No       |                                                                                            |
| `best_ask`                    | object | No       |                                                                                            |
| `markets`                     | object | No       |                                                                                            |
| `greeks`                      | object | No       |                                                                                            |

**`400`** — Bad request.

| Field   | Type   | Required | Description                                     |
| ------- | ------ | -------- | ----------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `ERR_MALFORMED_REQUEST` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.aevo.xyz/docs/api-reference/urls/public-api/getinstrumentinstrumentname.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
